OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
Geom2dToIGES

# Geom2dToIGES_Geom2dVector Class Reference

This class implements the transfer of the Vector from Geom2d
to IGES . These can be :
. Vector
* Direction
* VectorWithMagnitude
.

`#include <Geom2dToIGES_Geom2dVector.hxx>`

Inheritance diagram for Geom2dToIGES_Geom2dVector:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Geom2dToIGES_Geom2dVector ()
Standard_EXPORT | Geom2dToIGES_Geom2dVector (const Geom2dToIGES_Geom2dEntity &G2dE)
| Creates a tool Geom2dVector ready to run and sets its fields as G2dE's. .
Standard_EXPORT Handle_IGESGeom_Direction | Transfer2dVector (const Handle(Geom2d_Vector)&start)
| Transfert a GeometryEntity which answer True to the member : BRepToIGES::IsGeomVector(Geometry). If this Entity could not be converted, this member returns a NullEntity. .
Standard_EXPORT Handle_IGESGeom_Direction | Transfer2dVector (const Handle(Geom2d_VectorWithMagnitude)&start)
Standard_EXPORT Handle_IGESGeom_Direction | Transfer2dVector (const Handle(Geom2d_Direction)&start)

## Constructor & Destructor Documentation

Standard_EXPORT Geom2dToIGES_Geom2dVector::Geom2dToIGES_Geom2dVector | ( |  | ) |

Standard_EXPORT Geom2dToIGES_Geom2dVector::Geom2dToIGES_Geom2dVector | ( | const Geom2dToIGES_Geom2dEntity & | G2dE | ) |

## Member Function Documentation

void Geom2dToIGES_Geom2dVector::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Geom2dToIGES_Geom2dEntity.

void* Geom2dToIGES_Geom2dVector::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Geom2dToIGES_Geom2dEntity.

void* Geom2dToIGES_Geom2dVector::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Geom2dToIGES_Geom2dEntity.

Standard_EXPORT Handle_IGESGeom_Direction Geom2dToIGES_Geom2dVector::Transfer2dVector | ( | const Handle(Geom2d_Direction)& | start | ) |

Standard_EXPORT Handle_IGESGeom_Direction Geom2dToIGES_Geom2dVector::Transfer2dVector | ( | const Handle(Geom2d_VectorWithMagnitude)& | start | ) |

Standard_EXPORT Handle_IGESGeom_Direction Geom2dToIGES_Geom2dVector::Transfer2dVector | ( | const Handle(Geom2d_Vector)& | start | ) |

The documentation for this class was generated from the following file:

- Geom2dToIGES_Geom2dVector.hxx